package net.sf.doolin.util.factory;

/**
 * Returns the context as the created object.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <T>
 *            Type of object
 */
public class IdentityDataFactory<T> implements DataFactory<T> {

	/**
	 * Returns <code>context</code>.
	 */
	@SuppressWarnings("unchecked")
	@Override
	public T create(Object context) {
		return (T) context;
	}

}
