package net.sf.doolin.util.factory;

/**
 * Creates an arbitrary object.
 * 
 * @author Damien Coraboeuf
 * @param <T>
 *            Type of the object which is created
 * 
 */
public interface DataFactory<T> {

	/**
	 * Creates an arbitrary object.
	 * 
	 * @param context
	 *            Context of creation
	 * @return Created object.
	 */
	T create(Object context);

}
